__gnu_parallel::__max_element_reduct< _Compare, _It > Struct Template Reference

## Public Member Functions

| __max_element_reduct (_Compare &__c)
_It | operator() (_It __x, _It __y)

## Public Attributes

_Compare & | __comp

## Detailed Description

### template<typename _Compare, typename _It>
struct __gnu_parallel::__max_element_reduct< _Compare, _It >

Reduction for finding the maximum element, using a comparator.

Definition at line 321 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h